// Copyright (c) Facebook, Inc. and its affiliates.



// Generated by python/craft_recipes.py

#pragma once
#include <array>
#include <unordered_map>

struct Ingredient {
  uint16_t id;
  uint8_t meta;
  uint8_t count;
};

struct Recipe {
  std::array<Ingredient, 9> ingredients;
  uint8_t count;
};

// Map key = (id << 8) | meta
const std::unordered_map<uint32_t, Recipe> RECIPES{{1284,
                                                    {{{{162, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {1282,
                                                    {{{{17, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {13824,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1}}},
                                                     1}},
                                                   {1285,
                                                    {{{{162, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {33280,
                                                    {{{{49, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1},
                                                       {381, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1}}},
                                                     1}},
                                                   {15616,
                                                    {{{{4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1}}},
                                                     1}},
                                                   {1283,
                                                    {{{{17, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {1280,
                                                    {{{{17, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {1281,
                                                    {{{{17, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {71680,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {12800,
                                                    {{{{263, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {37376,
                                                    {{{{131, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {54, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {14848,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {261,
                                                    {{{{1, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {55296,
                                                    {{{{351, 15, 1},
                                                       {351, 15, 1},
                                                       {351, 15, 1},
                                                       {351, 15, 1},
                                                       {351, 15, 1},
                                                       {351, 15, 1},
                                                       {351, 15, 1},
                                                       {351, 15, 1},
                                                       {351, 15, 1}}},
                                                     1}},
                                                   {12032,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {340, 0, 1},
                                                       {340, 0, 1},
                                                       {340, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1}}},
                                                     1}},
                                                   {11520,
                                                    {{{{336, 0, 1},
                                                       {336, 0, 1},
                                                       {0, 0, 0},
                                                       {336, 0, 1},
                                                       {336, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {39681,
                                                    {{{{44, 7, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {44, 7, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {45825,
                                                    {{{{182, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {182, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {25091,
                                                    {{{{44, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {44, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {20992,
                                                    {{{{337, 0, 1},
                                                       {337, 0, 1},
                                                       {0, 0, 0},
                                                       {337, 0, 1},
                                                       {337, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {44288,
                                                    {{{{263, 0, 1},
                                                       {263, 0, 1},
                                                       {263, 0, 1},
                                                       {263, 0, 1},
                                                       {263, 0, 1},
                                                       {263, 0, 1},
                                                       {263, 0, 1},
                                                       {263, 0, 1},
                                                       {263, 0, 1}}},
                                                     1}},
                                                   {769,
                                                    {{{{13, 0, 1},
                                                       {3, 0, 1},
                                                       {0, 0, 0},
                                                       {3, 0, 1},
                                                       {13, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {43010,
                                                    {{{{409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {351, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1}}},
                                                     1}},
                                                   {14592,
                                                    {{{{264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1}}},
                                                     1}},
                                                   {259,
                                                    {{{{4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {406, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {34048,
                                                    {{{{388, 0, 1},
                                                       {388, 0, 1},
                                                       {388, 0, 1},
                                                       {388, 0, 1},
                                                       {388, 0, 1},
                                                       {388, 0, 1},
                                                       {388, 0, 1},
                                                       {388, 0, 1},
                                                       {388, 0, 1}}},
                                                     1}},
                                                   {52736,
                                                    {{{{121, 0, 1},
                                                       {121, 0, 1},
                                                       {0, 0, 0},
                                                       {121, 0, 1},
                                                       {121, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {22784,
                                                    {{{{348, 0, 1},
                                                       {348, 0, 1},
                                                       {0, 0, 0},
                                                       {348, 0, 1},
                                                       {348, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {10496,
                                                    {{{{266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1}}},
                                                     1}},
                                                   {257,
                                                    {{{{1, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {406, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {43520,
                                                    {{{{296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1}}},
                                                     1}},
                                                   {10752,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1}}},
                                                     1}},
                                                   {23296,
                                                    {{{{86, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {50, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {5632,
                                                    {{{{351, 4, 1},
                                                       {351, 4, 1},
                                                       {351, 4, 1},
                                                       {351, 4, 1},
                                                       {351, 4, 1},
                                                       {351, 4, 1},
                                                       {351, 4, 1},
                                                       {351, 4, 1},
                                                       {351, 4, 1}}},
                                                     1}},
                                                   {85504,
                                                    {{{{415, 0, 1},
                                                       {415, 0, 1},
                                                       {0, 0, 0},
                                                       {415, 0, 1},
                                                       {415, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {12288,
                                                    {{{{4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {106, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {25089,
                                                    {{{{98, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {106, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {28672,
                                                    {{{{405, 0, 1},
                                                       {405, 0, 1},
                                                       {0, 0, 0},
                                                       {405, 0, 1},
                                                       {405, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {29440,
                                                    {{{{372, 0, 1},
                                                       {372, 0, 1},
                                                       {372, 0, 1},
                                                       {372, 0, 1},
                                                       {372, 0, 1},
                                                       {372, 0, 1},
                                                       {372, 0, 1},
                                                       {372, 0, 1},
                                                       {372, 0, 1}}},
                                                     1}},
                                                   {6145,
                                                    {{{{44, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {44, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {39682,
                                                    {{{{155, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {155, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {262,
                                                    {{{{1, 5, 1},
                                                       {1, 5, 1},
                                                       {0, 0, 0},
                                                       {1, 5, 1},
                                                       {1, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {260,
                                                    {{{{1, 3, 1},
                                                       {1, 3, 1},
                                                       {0, 0, 0},
                                                       {1, 3, 1},
                                                       {1, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {258,
                                                    {{{{1, 1, 1},
                                                       {1, 1, 1},
                                                       {0, 0, 0},
                                                       {1, 1, 1},
                                                       {1, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {43008,
                                                    {{{{409, 0, 1},
                                                       {409, 0, 1},
                                                       {0, 0, 0},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {43009,
                                                    {{{{409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1},
                                                       {409, 0, 1}}},
                                                     1}},
                                                   {51456,
                                                    {{{{433, 0, 1},
                                                       {433, 0, 1},
                                                       {0, 0, 0},
                                                       {433, 0, 1},
                                                       {433, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {51712,
                                                    {{{{205, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {205, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {39680,
                                                    {{{{406, 0, 1},
                                                       {406, 0, 1},
                                                       {0, 0, 0},
                                                       {406, 0, 1},
                                                       {406, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {55040,
                                                    {{{{372, 0, 1},
                                                       {405, 0, 1},
                                                       {0, 0, 0},
                                                       {405, 0, 1},
                                                       {372, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {45824,
                                                    {{{{12, 1, 1},
                                                       {12, 1, 1},
                                                       {0, 0, 0},
                                                       {12, 1, 1},
                                                       {12, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {38912,
                                                    {{{{55, 0, 1},
                                                       {55, 0, 1},
                                                       {55, 0, 1},
                                                       {55, 0, 1},
                                                       {55, 0, 1},
                                                       {55, 0, 1},
                                                       {55, 0, 1},
                                                       {55, 0, 1},
                                                       {55, 0, 1}}},
                                                     1}},
                                                   {6144,
                                                    {{{{12, 0, 1},
                                                       {12, 0, 1},
                                                       {0, 0, 0},
                                                       {12, 0, 1},
                                                       {12, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {43264,
                                                    {{{{409, 0, 1},
                                                       {410, 0, 1},
                                                       {409, 0, 1},
                                                       {410, 0, 1},
                                                       {410, 0, 1},
                                                       {410, 0, 1},
                                                       {409, 0, 1},
                                                       {410, 0, 1},
                                                       {409, 0, 1}}},
                                                     1}},
                                                   {42240,
                                                    {{{{341, 0, 1},
                                                       {341, 0, 1},
                                                       {341, 0, 1},
                                                       {341, 0, 1},
                                                       {341, 0, 1},
                                                       {341, 0, 1},
                                                       {341, 0, 1},
                                                       {341, 0, 1},
                                                       {341, 0, 1}}},
                                                     1}},
                                                   {45826,
                                                    {{{{179, 0, 1},
                                                       {179, 0, 1},
                                                       {0, 0, 0},
                                                       {179, 0, 1},
                                                       {179, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {6146,
                                                    {{{{24, 0, 1},
                                                       {24, 0, 1},
                                                       {0, 0, 0},
                                                       {24, 0, 1},
                                                       {24, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {20480,
                                                    {{{{332, 0, 1},
                                                       {332, 0, 1},
                                                       {0, 0, 0},
                                                       {332, 0, 1},
                                                       {332, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {25088,
                                                    {{{{1, 0, 1},
                                                       {1, 0, 1},
                                                       {0, 0, 0},
                                                       {1, 0, 1},
                                                       {1, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {11776,
                                                    {{{{289, 0, 1},
                                                       {12, 0, 1},
                                                       {289, 0, 1},
                                                       {12, 0, 1},
                                                       {289, 0, 1},
                                                       {12, 0, 1},
                                                       {289, 0, 1},
                                                       {12, 0, 1},
                                                       {289, 0, 1}}},
                                                     1}},
                                                   {8960,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 15, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {32260,
                                                    {{{{5, 4, 1},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {32258,
                                                    {{{{5, 2, 1},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {11268,
                                                    {{{{45, 0, 1},
                                                       {45, 0, 1},
                                                       {45, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {11267,
                                                    {{{{4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {32261,
                                                    {{{{5, 5, 1},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {32259,
                                                    {{{{5, 3, 1},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {11270,
                                                    {{{{112, 0, 1},
                                                       {112, 0, 1},
                                                       {112, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {32256,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {52480,
                                                    {{{{201, 0, 1},
                                                       {201, 0, 1},
                                                       {201, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {11271,
                                                    {{{{155, 0, 1},
                                                       {155, 0, 1},
                                                       {155, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {46592,
                                                    {{{{179, 0, 1},
                                                       {179, 0, 1},
                                                       {179, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {11265,
                                                    {{{{24, 2, 1},
                                                       {24, 2, 1},
                                                       {24, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {19968,
                                                    {{{{80, 0, 1},
                                                       {80, 0, 1},
                                                       {80, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {32257,
                                                    {{{{5, 1, 1},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {11269,
                                                    {{{{98, 0, 1},
                                                       {98, 0, 1},
                                                       {98, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {11264,
                                                    {{{{1, 0, 1},
                                                       {1, 0, 1},
                                                       {1, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {41728,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 4, 1},
                                                       {0, 0, 0},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {5, 4, 1}}},
                                                     4}},
                                                   {34560,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 2, 1},
                                                       {0, 0, 0},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {5, 2, 1}}},
                                                     4}},
                                                   {27648,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {45, 0, 1},
                                                       {0, 0, 0},
                                                       {45, 0, 1},
                                                       {45, 0, 1},
                                                       {45, 0, 1},
                                                       {45, 0, 1},
                                                       {45, 0, 1}}},
                                                     4}},
                                                   {17152,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1}}},
                                                     4}},
                                                   {41984,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 5, 1},
                                                       {0, 0, 0},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {5, 5, 1}}},
                                                     4}},
                                                   {34816,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 3, 1},
                                                       {0, 0, 0},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {5, 3, 1}}},
                                                     4}},
                                                   {29184,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {112, 0, 1},
                                                       {0, 0, 0},
                                                       {112, 0, 1},
                                                       {112, 0, 1},
                                                       {112, 0, 1},
                                                       {112, 0, 1},
                                                       {112, 0, 1}}},
                                                     4}},
                                                   {51968,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {201, 0, 1},
                                                       {0, 0, 0},
                                                       {201, 0, 1},
                                                       {201, 0, 1},
                                                       {201, 0, 1},
                                                       {201, 0, 1},
                                                       {201, 0, 1}}},
                                                     4}},
                                                   {39936,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {155, 0, 1},
                                                       {0, 0, 0},
                                                       {155, 0, 1},
                                                       {155, 0, 1},
                                                       {155, 0, 1},
                                                       {155, 0, 1},
                                                       {155, 0, 1}}},
                                                     4}},
                                                   {46080,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {179, 0, 1},
                                                       {0, 0, 0},
                                                       {179, 0, 1},
                                                       {179, 0, 1},
                                                       {179, 0, 1},
                                                       {179, 0, 1},
                                                       {179, 0, 1}}},
                                                     4}},
                                                   {32768,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {24, 2, 1},
                                                       {0, 0, 0},
                                                       {24, 2, 1},
                                                       {24, 2, 1},
                                                       {24, 2, 1},
                                                       {24, 2, 1},
                                                       {24, 2, 1}}},
                                                     4}},
                                                   {34304,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 1, 1},
                                                       {0, 0, 0},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {5, 1, 1}}},
                                                     4}},
                                                   {27904,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {98, 0, 1},
                                                       {0, 0, 0},
                                                       {98, 0, 1},
                                                       {98, 0, 1},
                                                       {98, 0, 1},
                                                       {98, 0, 1},
                                                       {98, 0, 1}}},
                                                     4}},
                                                   {13568,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1}}},
                                                     4}},
                                                   {71424,
                                                    {{{{0, 0, 0},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {73216,
                                                    {{{{0, 0, 0},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {66048,
                                                    {{{{0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {70400,
                                                    {{{{0, 0, 0},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {69376,
                                                    {{{{0, 0, 0},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {71168,
                                                    {{{{264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {72960,
                                                    {{{{266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {65792,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {70144,
                                                    {{{{4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {69120,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {70912,
                                                    {{{{0, 0, 0},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {72704,
                                                    {{{{0, 0, 0},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {65536,
                                                    {{{{0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {69888,
                                                    {{{{0, 0, 0},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {68864,
                                                    {{{{0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {75008,
                                                    {{{{264, 0, 1},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {75264,
                                                    {{{{266, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {74752,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {74496,
                                                    {{{{4, 0, 1},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {74240,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {83200,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {88320,
                                                    {{{{0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {55, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {101120,
                                                    {{{{339, 0, 1},
                                                       {339, 0, 1},
                                                       {339, 0, 1},
                                                       {339, 0, 1},
                                                       {345, 0, 1},
                                                       {339, 0, 1},
                                                       {339, 0, 1},
                                                       {339, 0, 1},
                                                       {339, 0, 1}}},
                                                     1}},
                                                   {98560,
                                                    {{{{377, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {263, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {289, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {88576,
                                                    {{{{280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {287, 0, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {287, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1}}},
                                                     1}},
                                                   {107520,
                                                    {{{{287, 0, 1},
                                                       {287, 0, 1},
                                                       {0, 0, 0},
                                                       {287, 0, 1},
                                                       {341, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {287, 0, 1}}},
                                                     2}},
                                                   {66304,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {318, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {91904,
                                                    {{{{0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {88832,
                                                    {{{{0, 0, 0},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {55, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {67072,
                                                    {{{{318, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {288, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {66816,
                                                    {{{{287, 0, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {287, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {287, 0, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {70656,
                                                    {{{{0, 0, 0},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {72448,
                                                    {{{{0, 0, 0},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {68352,
                                                    {{{{0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {112384,
                                                    {{{{0, 0, 0},
                                                       {348, 0, 1},
                                                       {0, 0, 0},
                                                       {348, 0, 1},
                                                       {262, 0, 1},
                                                       {348, 0, 1},
                                                       {0, 0, 0},
                                                       {348, 0, 1},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {69632,
                                                    {{{{0, 0, 0},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {68608,
                                                    {{{{0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {79360,
                                                    {{{{264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {80384,
                                                    {{{{266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {78336,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {76288,
                                                    {{{{298, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 0, 8},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {79616,
                                                    {{{{264, 0, 1},
                                                       {0, 0, 0},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1}}},
                                                     1}},
                                                   {80640,
                                                    {{{{266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1}}},
                                                     1}},
                                                   {78592,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1}}},
                                                     1}},
                                                   {76544,
                                                    {{{{299, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 0, 8},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {79872,
                                                    {{{{264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {264, 0, 1}}},
                                                     1}},
                                                   {80896,
                                                    {{{{266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1}}},
                                                     1}},
                                                   {78848,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1}}},
                                                     1}},
                                                   {76800,
                                                    {{{{300, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 0, 8},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {80128,
                                                    {{{{264, 0, 1},
                                                       {0, 0, 0},
                                                       {264, 0, 1},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {264, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {81152,
                                                    {{{{266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {79104,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {77056,
                                                    {{{{301, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 0, 8},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {113152,
                                                    {{{{5, 0, 1},
                                                       {265, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {114432,
                                                    {{{{5, 4, 1},
                                                       {0, 0, 0},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {40192,
                                                    {{{{265, 0, 1},
                                                       {280, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {76, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {280, 0, 1},
                                                       {265, 0, 1}}},
                                                     6}},
                                                   {113920,
                                                    {{{{5, 2, 1},
                                                       {0, 0, 0},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {101888,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {346, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {391, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {114688,
                                                    {{{{5, 5, 1},
                                                       {0, 0, 0},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {7168,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {70, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {55, 0, 1},
                                                       {265, 0, 1}}},
                                                     6}},
                                                   {104448,
                                                    {{{{328, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {154, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {114176,
                                                    {{{{5, 3, 1},
                                                       {0, 0, 0},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {83968,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {85248,
                                                    {{{{5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {87808,
                                                    {{{{328, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {61, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {6912,
                                                    {{{{266, 0, 1},
                                                       {0, 0, 0},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {280, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {55, 0, 1},
                                                       {266, 0, 1}}},
                                                     6}},
                                                   {16896,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {280, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1}}},
                                                     16}},
                                                   {113664,
                                                    {{{{5, 1, 1},
                                                       {0, 0, 0},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {87552,
                                                    {{{{328, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {54, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {104192,
                                                    {{{{328, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {46, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {110080,
                                                    {{{{5, 4, 1},
                                                       {5, 4, 1},
                                                       {0, 0, 0},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {0, 0, 0},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {109568,
                                                    {{{{5, 2, 1},
                                                       {5, 2, 1},
                                                       {0, 0, 0},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {0, 0, 0},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {103424,
                                                    {{{{0, 0, 0},
                                                       {76, 0, 1},
                                                       {0, 0, 0},
                                                       {76, 0, 1},
                                                       {406, 0, 1},
                                                       {76, 0, 1},
                                                       {1, 0, 1},
                                                       {1, 0, 1},
                                                       {1, 0, 1}}},
                                                     1}},
                                                   {110336,
                                                    {{{{5, 5, 1},
                                                       {5, 5, 1},
                                                       {0, 0, 0},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {0, 0, 0},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {38656,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {406, 0, 1},
                                                       {406, 0, 1},
                                                       {406, 0, 1},
                                                       {126, 0, 1},
                                                       {126, 0, 1},
                                                       {126, 0, 1}}},
                                                     1}},
                                                   {5888,
                                                    {{{{4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {261, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {55, 0, 1},
                                                       {4, 0, 1}}},
                                                     1}},
                                                   {40448,
                                                    {{{{4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {55, 0, 1},
                                                       {4, 0, 1}}},
                                                     1}},
                                                   {37888,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {39424,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {54, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {84480,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {42752,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {21504,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {264, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1}}},
                                                     1}},
                                                   {109824,
                                                    {{{{5, 3, 1},
                                                       {5, 3, 1},
                                                       {0, 0, 0},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {0, 0, 0},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {17664,
                                                    {{{{280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {37632,
                                                    {{{{266, 0, 1},
                                                       {266, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {6400,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {55, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1}}},
                                                     1}},
                                                   {8448,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {4, 0, 1},
                                                       {265, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {55, 0, 1},
                                                       {4, 0, 1}}},
                                                     1}},
                                                   {31488,
                                                    {{{{0, 0, 0},
                                                       {55, 0, 1},
                                                       {0, 0, 0},
                                                       {55, 0, 1},
                                                       {89, 0, 1},
                                                       {55, 0, 1},
                                                       {0, 0, 0},
                                                       {55, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {19456,
                                                    {{{{55, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {91136,
                                                    {{{{76, 0, 1},
                                                       {55, 0, 1},
                                                       {76, 0, 1},
                                                       {1, 0, 1},
                                                       {1, 0, 1},
                                                       {1, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {58624,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {109312,
                                                    {{{{5, 1, 1},
                                                       {5, 1, 1},
                                                       {0, 0, 0},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {0, 0, 0},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {7424,
                                                    {{{{33, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {341, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {19712,
                                                    {{{{1, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {17920,
                                                    {{{{1, 0, 1},
                                                       {1, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {24576,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {33536,
                                                    {{{{0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {36608,
                                                    {{{{5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {82944,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {18432,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {71936,
                                                    {{{{5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {76032,
                                                    {{{{296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {23552,
                                                    {{{{335, 0, 1},
                                                       {335, 0, 1},
                                                       {335, 0, 1},
                                                       {353, 0, 1},
                                                       {344, 0, 1},
                                                       {353, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1},
                                                       {296, 0, 1}}},
                                                     1}},
                                                   {91392,
                                                    {{{{296, 0, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     8}},
                                                   {82433,
                                                    {{{{41, 0, 1},
                                                       {41, 0, 1},
                                                       {41, 0, 1},
                                                       {41, 0, 1},
                                                       {260, 0, 1},
                                                       {41, 0, 1},
                                                       {41, 0, 1},
                                                       {41, 0, 1},
                                                       {41, 0, 1}}},
                                                     1}},
                                                   {82432,
                                                    {{{{266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {260, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1},
                                                       {266, 0, 1}}},
                                                     1}},
                                                   {26368,
                                                    {{{{360, 0, 1},
                                                       {360, 0, 1},
                                                       {360, 0, 1},
                                                       {360, 0, 1},
                                                       {360, 0, 1},
                                                       {360, 0, 1},
                                                       {360, 0, 1},
                                                       {360, 0, 1},
                                                       {360, 0, 1}}},
                                                     1}},
                                                   {92672,
                                                    {{{{360, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {72192,
                                                    {{{{281, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {39, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {40, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {111616,
                                                    {{{{434, 0, 1},
                                                       {434, 0, 1},
                                                       {434, 0, 1},
                                                       {434, 0, 1},
                                                       {434, 0, 1},
                                                       {434, 0, 1},
                                                       {0, 0, 0},
                                                       {281, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {102400,
                                                    {{{{86, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {353, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {344, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {92416,
                                                    {{{{86, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {105728,
                                                    {{{{0, 0, 0},
                                                       {412, 0, 1},
                                                       {0, 0, 0},
                                                       {391, 0, 1},
                                                       {393, 0, 1},
                                                       {40, 0, 1},
                                                       {0, 0, 0},
                                                       {281, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {90368,
                                                    {{{{338, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {75776,
                                                    {{{{170, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {86272,
                                                    {{{{82, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {67328,
                                                    {{{{173, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {67584,
                                                    {{{{57, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {99328,
                                                    {{{{133, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {68096,
                                                    {{{{371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1}}},
                                                     1}},
                                                   {67840,
                                                    {{{{42, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {89860,
                                                    {{{{22, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {14080,
                                                    {{{{152, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {87296,
                                                    {{{{165, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {49152,
                                                    {{{{5, 4, 1},
                                                       {280, 0, 1},
                                                       {5, 4, 1},
                                                       {5, 4, 1},
                                                       {280, 0, 1},
                                                       {5, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {47872,
                                                    {{{{280, 0, 1},
                                                       {5, 4, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {5, 4, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {37120,
                                                    {{{{42, 0, 1},
                                                       {42, 0, 1},
                                                       {42, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1}}},
                                                     1}},
                                                   {106496,
                                                    {{{{280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {44, 0, 1},
                                                       {280, 0, 1}}},
                                                     1}},
                                                   {35328,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {399, 0, 1},
                                                       {20, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1}}},
                                                     1}},
                                                   {48384,
                                                    {{{{5, 2, 1},
                                                       {280, 0, 1},
                                                       {5, 2, 1},
                                                       {5, 2, 1},
                                                       {280, 0, 1},
                                                       {5, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {47104,
                                                    {{{{280, 0, 1},
                                                       {5, 2, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {5, 2, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {98816,
                                                    {{{{340, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {288, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {87040,
                                                    {{{{339, 0, 3},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {334, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {35584,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1}}},
                                                     6}},
                                                   {48896,
                                                    {{{{5, 5, 1},
                                                       {280, 0, 1},
                                                       {5, 5, 1},
                                                       {5, 5, 1},
                                                       {280, 0, 1},
                                                       {5, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {47616,
                                                    {{{{280, 0, 1},
                                                       {5, 5, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {5, 5, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {109056,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {381, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {370, 0, 1},
                                                       {20, 0, 1}}},
                                                     1}},
                                                   {50688,
                                                    {{{{369, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {433, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {97536,
                                                    {{{{368, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {377, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {21760,
                                                    {{{{5, 0, 1},
                                                       {280, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {280, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {27392,
                                                    {{{{280, 0, 1},
                                                       {5, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {5, 0, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {99840,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {336, 0, 1},
                                                       {0, 0, 0},
                                                       {336, 0, 1},
                                                       {0, 0, 0},
                                                       {336, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {26112,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     16}},
                                                   {25856,
                                                    {{{{265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     16}},
                                                   {115712,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {99584,
                                                    {{{{280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {334, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1}}},
                                                     1}},
                                                   {48640,
                                                    {{{{5, 3, 1},
                                                       {280, 0, 1},
                                                       {5, 3, 1},
                                                       {5, 3, 1},
                                                       {280, 0, 1},
                                                       {5, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {47360,
                                                    {{{{280, 0, 1},
                                                       {5, 3, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {5, 3, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {16640,
                                                    {{{{280, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1}}},
                                                     3}},
                                                   {35585,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {48, 0, 1},
                                                       {48, 0, 1},
                                                       {48, 0, 1},
                                                       {48, 0, 1},
                                                       {48, 0, 1},
                                                       {48, 0, 1}}},
                                                     6}},
                                                   {28928,
                                                    {{{{112, 0, 1},
                                                       {112, 0, 1},
                                                       {112, 0, 1},
                                                       {112, 0, 1},
                                                       {112, 0, 1},
                                                       {112, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     6}},
                                                   {82176,
                                                    {{{{280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {35, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1}}},
                                                     1}},
                                                   {86784,
                                                    {{{{338, 0, 1},
                                                       {338, 0, 1},
                                                       {338, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {82688,
                                                    {{{{5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {5, 0, 1},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {48128,
                                                    {{{{5, 1, 1},
                                                       {280, 0, 1},
                                                       {5, 1, 1},
                                                       {5, 1, 1},
                                                       {280, 0, 1},
                                                       {5, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {46848,
                                                    {{{{280, 0, 1},
                                                       {5, 1, 1},
                                                       {280, 0, 1},
                                                       {280, 0, 1},
                                                       {5, 1, 1},
                                                       {280, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108800,
                                                    {{{{35, 15, 1},
                                                       {35, 15, 2},
                                                       {0, 0, 0},
                                                       {35, 15, 1},
                                                       {35, 15, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108804,
                                                    {{{{35, 11, 1},
                                                       {35, 11, 2},
                                                       {0, 0, 0},
                                                       {35, 11, 1},
                                                       {35, 11, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108803,
                                                    {{{{35, 12, 1},
                                                       {35, 12, 2},
                                                       {0, 0, 0},
                                                       {35, 12, 1},
                                                       {35, 12, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108806,
                                                    {{{{35, 9, 1},
                                                       {35, 9, 2},
                                                       {0, 0, 0},
                                                       {35, 9, 1},
                                                       {35, 9, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108808,
                                                    {{{{35, 7, 1},
                                                       {35, 7, 2},
                                                       {0, 0, 0},
                                                       {35, 7, 1},
                                                       {35, 7, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108802,
                                                    {{{{35, 13, 1},
                                                       {35, 13, 2},
                                                       {0, 0, 0},
                                                       {35, 13, 1},
                                                       {35, 13, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108812,
                                                    {{{{35, 3, 1},
                                                       {35, 3, 2},
                                                       {0, 0, 0},
                                                       {35, 3, 1},
                                                       {35, 3, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108807,
                                                    {{{{35, 8, 1},
                                                       {35, 8, 2},
                                                       {0, 0, 0},
                                                       {35, 8, 1},
                                                       {35, 8, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108810,
                                                    {{{{35, 5, 1},
                                                       {35, 5, 2},
                                                       {0, 0, 0},
                                                       {35, 5, 1},
                                                       {35, 5, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108813,
                                                    {{{{35, 2, 1},
                                                       {35, 2, 2},
                                                       {0, 0, 0},
                                                       {35, 2, 1},
                                                       {35, 2, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108814,
                                                    {{{{35, 1, 1},
                                                       {35, 1, 2},
                                                       {0, 0, 0},
                                                       {35, 1, 1},
                                                       {35, 1, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108809,
                                                    {{{{35, 6, 1},
                                                       {35, 6, 2},
                                                       {0, 0, 0},
                                                       {35, 6, 1},
                                                       {35, 6, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108805,
                                                    {{{{35, 10, 1},
                                                       {35, 10, 2},
                                                       {0, 0, 0},
                                                       {35, 10, 1},
                                                       {35, 10, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108801,
                                                    {{{{35, 14, 1},
                                                       {35, 14, 2},
                                                       {0, 0, 0},
                                                       {35, 14, 1},
                                                       {35, 14, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108815,
                                                    {{{{35, 0, 1},
                                                       {35, 0, 2},
                                                       {0, 0, 0},
                                                       {35, 0, 1},
                                                       {35, 0, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {108811,
                                                    {{{{35, 4, 1},
                                                       {35, 4, 2},
                                                       {0, 0, 0},
                                                       {35, 4, 1},
                                                       {35, 4, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {280, 0, 1},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {89857,
                                                    {{{{38, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {89871,
                                                    {{{{352, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {89867,
                                                    {{{{37, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {89862,
                                                    {{{{351, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {89864,
                                                    {{{{351, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 15, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {89866,
                                                    {{{{351, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 15, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {89868,
                                                    {{{{351, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 15, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {89863,
                                                    {{{{351, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 15, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {89869,
                                                    {{{{351, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 15, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 1, 2},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     4}},
                                                   {89870,
                                                    {{{{351, 11, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {89865,
                                                    {{{{351, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 15, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {89861,
                                                    {{{{351, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {64512,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 15, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64513,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 14, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64514,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 13, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64515,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 12, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64516,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 11, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64517,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 10, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64518,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 9, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64519,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 8, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64520,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 7, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64521,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 6, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64523,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 4, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64524,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 3, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64525,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 2, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64526,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 1, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {64527,
                                                    {{{{12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {351, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1},
                                                       {13, 0, 1},
                                                       {12, 0, 1}}},
                                                     1}},
                                                   {59904,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {58880,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {59136,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {58368,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 6, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {57856,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 8, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {59392,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {56832,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 12, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {58112,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 7, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {57344,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 10, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {56576,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 13, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {56320,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 14, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {57600,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 9, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {59648,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {56064,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 15, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {57088,
                                                    {{{{223, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 11, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8975,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8971,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8972,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8969,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 6, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8967,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 8, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8973,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8963,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 12, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8968,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 7, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8965,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 10, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8962,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 13, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8961,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 14, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8966,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 9, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8970,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8974,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {8964,
                                                    {{{{35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 11, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {43791,
                                                    {{{{35, 15, 1},
                                                       {35, 15, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43787,
                                                    {{{{35, 11, 1},
                                                       {35, 11, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43788,
                                                    {{{{35, 12, 1},
                                                       {35, 12, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43785,
                                                    {{{{35, 9, 1},
                                                       {35, 9, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43783,
                                                    {{{{35, 7, 1},
                                                       {35, 7, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43789,
                                                    {{{{35, 13, 1},
                                                       {35, 13, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43779,
                                                    {{{{35, 3, 1},
                                                       {35, 3, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43784,
                                                    {{{{35, 8, 1},
                                                       {35, 8, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43781,
                                                    {{{{35, 5, 1},
                                                       {35, 5, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43778,
                                                    {{{{35, 2, 1},
                                                       {35, 2, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43777,
                                                    {{{{35, 1, 1},
                                                       {35, 1, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43782,
                                                    {{{{35, 6, 1},
                                                       {35, 6, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43786,
                                                    {{{{35, 10, 1},
                                                       {35, 10, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43790,
                                                    {{{{35, 14, 1},
                                                       {35, 14, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43776,
                                                    {{{{35, 0, 1},
                                                       {35, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {43780,
                                                    {{{{35, 4, 1},
                                                       {35, 4, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {24335,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24331,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 4, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24332,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 3, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24329,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 6, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24327,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 8, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24333,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 2, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24323,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 12, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24328,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 7, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24325,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 10, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24322,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 13, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24321,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 14, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24326,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 9, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24334,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 1, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24330,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 5, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24320,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 15, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {24324,
                                                    {{{{20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {351, 11, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1},
                                                       {20, 0, 1}}},
                                                     8}},
                                                   {40975,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 15, 1},
                                                       {95, 15, 1},
                                                       {95, 15, 1},
                                                       {95, 15, 1},
                                                       {95, 15, 1},
                                                       {95, 15, 1}}},
                                                     16}},
                                                   {40971,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 11, 1},
                                                       {95, 11, 1},
                                                       {95, 11, 1},
                                                       {95, 11, 1},
                                                       {95, 11, 1},
                                                       {95, 11, 1}}},
                                                     16}},
                                                   {40972,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 12, 1},
                                                       {95, 12, 1},
                                                       {95, 12, 1},
                                                       {95, 12, 1},
                                                       {95, 12, 1},
                                                       {95, 12, 1}}},
                                                     16}},
                                                   {40969,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 9, 1},
                                                       {95, 9, 1},
                                                       {95, 9, 1},
                                                       {95, 9, 1},
                                                       {95, 9, 1},
                                                       {95, 9, 1}}},
                                                     16}},
                                                   {40967,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 7, 1},
                                                       {95, 7, 1},
                                                       {95, 7, 1},
                                                       {95, 7, 1},
                                                       {95, 7, 1},
                                                       {95, 7, 1}}},
                                                     16}},
                                                   {40973,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 13, 1},
                                                       {95, 13, 1},
                                                       {95, 13, 1},
                                                       {95, 13, 1},
                                                       {95, 13, 1},
                                                       {95, 13, 1}}},
                                                     16}},
                                                   {40963,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 3, 1},
                                                       {95, 3, 1},
                                                       {95, 3, 1},
                                                       {95, 3, 1},
                                                       {95, 3, 1},
                                                       {95, 3, 1}}},
                                                     16}},
                                                   {40968,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 8, 1},
                                                       {95, 8, 1},
                                                       {95, 8, 1},
                                                       {95, 8, 1},
                                                       {95, 8, 1},
                                                       {95, 8, 1}}},
                                                     16}},
                                                   {40965,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 5, 1},
                                                       {95, 5, 1},
                                                       {95, 5, 1},
                                                       {95, 5, 1},
                                                       {95, 5, 1},
                                                       {95, 5, 1}}},
                                                     16}},
                                                   {40962,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 2, 1},
                                                       {95, 2, 1},
                                                       {95, 2, 1},
                                                       {95, 2, 1},
                                                       {95, 2, 1},
                                                       {95, 2, 1}}},
                                                     16}},
                                                   {40961,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 1, 1},
                                                       {95, 1, 1},
                                                       {95, 1, 1},
                                                       {95, 1, 1},
                                                       {95, 1, 1},
                                                       {95, 1, 1}}},
                                                     16}},
                                                   {40966,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 6, 1},
                                                       {95, 6, 1},
                                                       {95, 6, 1},
                                                       {95, 6, 1},
                                                       {95, 6, 1},
                                                       {95, 6, 1}}},
                                                     16}},
                                                   {40974,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 14, 1},
                                                       {95, 14, 1},
                                                       {95, 14, 1},
                                                       {95, 14, 1},
                                                       {95, 14, 1},
                                                       {95, 14, 1}}},
                                                     16}},
                                                   {40970,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 10, 1},
                                                       {95, 10, 1},
                                                       {95, 10, 1},
                                                       {95, 10, 1},
                                                       {95, 10, 1},
                                                       {95, 10, 1}}},
                                                     16}},
                                                   {40960,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 0, 1},
                                                       {95, 0, 1},
                                                       {95, 0, 1},
                                                       {95, 0, 1},
                                                       {95, 0, 1},
                                                       {95, 0, 1}}},
                                                     16}},
                                                   {40964,
                                                    {{{{0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {95, 4, 1},
                                                       {95, 4, 1},
                                                       {95, 4, 1},
                                                       {95, 4, 1},
                                                       {95, 4, 1},
                                                       {95, 4, 1}}},
                                                     16}},
                                                   {40719,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40715,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 4, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40716,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 3, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40713,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 6, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40711,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 8, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40717,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 2, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40707,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 12, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40712,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 7, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40709,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 10, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40706,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 13, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40705,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 14, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40710,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 9, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40718,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 1, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40714,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 5, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40704,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 15, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {40708,
                                                    {{{{172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {351, 11, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1},
                                                       {172, 0, 1}}},
                                                     8}},
                                                   {96512,
                                                    {{{{369, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     2}},
                                                   {97024,
                                                    {{{{0, 0, 0},
                                                       {369, 0, 1},
                                                       {0, 0, 0},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {4, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {97280,
                                                    {{{{265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {0, 0, 0},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1},
                                                       {265, 0, 1}}},
                                                     1}},
                                                   {29696,
                                                    {{{{0, 0, 0},
                                                       {340, 0, 1},
                                                       {0, 0, 0},
                                                       {264, 0, 1},
                                                       {49, 0, 1},
                                                       {264, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1},
                                                       {49, 0, 1}}},
                                                     1}},
                                                   {96256,
                                                    {{{{375, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {353, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {39, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {95744,
                                                    {{{{20, 0, 1},
                                                       {0, 0, 0},
                                                       {20, 0, 1},
                                                       {0, 0, 0},
                                                       {20, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     3}},
                                                   {97792,
                                                    {{{{371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {360, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1}}},
                                                     1}},
                                                   {101376,
                                                    {{{{371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {391, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1},
                                                       {371, 0, 1}}},
                                                     1}},
                                                   {94976,
                                                    {{{{266, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     9}},
                                                   {96768,
                                                    {{{{341, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {377, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {102656,
                                                    {{{{339, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {289, 0, 3},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}},
                                                   {102912,
                                                    {{{{402, 0, 1},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {351, 0, 8},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0},
                                                       {0, 0, 0}}},
                                                     1}}};
